<?php

namespace Drupal\email_blocker\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Class EmailBlockerSettingsForm.
 */
class EmailBlockerSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'email_blocker.emailblockersettings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'email_blocker_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('email_blocker.emailblockersettings');
    $form['block_emails'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Block Emails'),
      '#description' => $this->t('Enable the setting to block all outgoing emails on the site'),
      '#default_value' => $config->get('block_emails'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('email_blocker.emailblockersettings')
      ->set('block_emails', $form_state->getValue('block_emails'))
      ->save();
  }

}
